/* Estilos para a calculadora */
/* Cor, fonte, alinhamento e margens para os títulos */
h1 { 
    color: #3a3120;
    font-family: 'Segoe UI', sans-serif;
    text-align: center;
    margin-top: 50px;
}

h2 {
    color: #c5181a;
    font-family: 'Segoe UI', sans-serif;
    text-align: center;
    margin-top: 20px;
}

body {
    background-color: #fffbfa;
}

.quadrado {
  width: 600px;
  height: 895px;
  background-color: #e9e0db;
  margin: 0 auto; /* centraliza o elemento horizontalmente */
  border-radius: 20px; /* quanto maior, mais arredondado */
  border: 0px solid #2a5a8a;
  position: relative;
}
/* Estilos para os botões da calculadora */
button1 {
    width: 100px;
    height: 100px;
    background-color: #c5181a;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 620px;
    left: 55px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

button2 {
    width: 100px;
    height: 100px;
    background-color: #c5181a;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 620px;
    left: 185px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

button3 {
    width: 100px;
    height: 100px;
    background-color: #c5181a;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 620px;
    left: 315px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

button4 {
    width: 100px;
    height: 100px;
    background-color: #c5181a;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 490px;
    left: 55px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

button5 {
    width: 100px;
    height: 100px;
    background-color: #c5181a;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 490px;
    left: 185px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

button6 {
    width: 100px;
    height: 100px;
    background-color: #c5181a;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 490px;
    left: 315px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

button7 {
    width: 100px;
    height: 100px;
    background-color: #c5181a;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 365px;
    left: 55px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

button8 {
    width: 100px;
    height: 100px;
    background-color: #c5181a;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 365px;
    left: 185px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

button9 {
    width: 100px;
    height: 100px;
    background-color: #c5181a;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 365px;
    left: 315px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

button0 {
    width: 100px;
    height: 100px;
    background-color: #c5181a;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 750px;
    left: 185px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

buttonDEL {
    width: 100px;
    height: 100px;
    background-color: #3a3120;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 235px;
    left: 55px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

buttonAC {
    width: 100px;
    height: 100px;
    background-color: #3a3120;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 235px;
    left: 185px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

buttonMais {
    width: 100px;
    height: 100px;
    background-color: #3a3120;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 620px;
    left: 445px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

buttonMenos {
    width: 100px;
    height: 100px;
    background-color: #3a3120;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 490px;
    left: 445px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

buttonVezes {
    width: 100px;
    height: 100px;
    background-color: #3a3120;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 365px;
    left: 445px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

buttonDividir {
    width: 100px;
    height: 100px;
    background-color: #3a3120;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 235px;
    left: 445px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

buttonIgual {
    width: 100px;
    height: 100px;
    background-color: #3a3120;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 750px;
    left: 445px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

buttonPorcento {
    width: 100px;
    height: 100px;
    background-color: #3a3120;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 235px;
    left: 315px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

buttonPonto {
    width: 100px;
    height: 100px;
    background-color: #3a3120;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 750px;
    left: 315px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

buttonGit {
    width: 100px;
    height: 100px;
    background-color: #3a3120;
    color: #e9e0db;
    border: none;
    border-radius: 10px;
    position: absolute;
    top: 750px;
    left: 55px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}
/* Estilos para o visor da calculadora */
#visor {
    position: absolute;
    top: 90px;
    left: 50%;
    transform: translateX(-50%);
    width: 490px;
    height: 100px;
    font-size: 50px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    color: #e9e0db;
    text-align: right;
    background-color: #3a3120;
    border: none;
    border-radius: 10px;
}


/* Estilos para o rodapé da página */
footer {
    text-align: center;
    margin-top: 50px;
    font-family: 'Segoe UI', sans-serif;
    color: #3a3120;
}